Opened 10 years ago

Closed 10 years ago

Last modified 4 years ago

#754 closed Enhancement (fixed)

Added NetCDF4 chunking and compression support to v3.3beta

Reported by: acc Owned by: acc
Priority: low Milestone:
Component: OCE Version: release-3.3
Severity: Keywords: NetCDF*
Cc: Review:
MP ready?:
Progress:

Description

Support for chunking and compression of all 4D datasets has been added to v3.3beta. A new key: key_netcdf4 has been added which must be used when linking with NetCDF4 libraries. Control over chunk sizes is provided via a new namelist entry and users may still select NetCDF3-compatible output, if required, even when linking to NetCDF4 libraries via a namelist logical. For more details see: wiki:NetCdf4_changes?

Commit History (3)

ChangesetAuthorTimeChangeLog
2368acc2010-11-09T16:38:45+01:00

nemo_v3_3_beta. Changes to code relating to key_netcdf4 option to provide more robust compilation. See #755 and #754

2365acc2010-11-08T13:24:46+01:00

nemo_v3_3_beta. Reverted cpp_ORCA2_LIM.fcm to contain default CPP keys. The wrong set was checked in with #754 changes.

2364acc2010-11-05T16:22:12+01:00

Added basic NetCDF4 chunking and compression support (key_netcdf4). See ticket #754

Change History (3)

comment:1 Changed 10 years ago by acc

  • Resolution set to fixed
  • Status changed from new to closed

Code added and documented both in miscellaneous chapter of the reference manual and on the Wiki
(wiki:NetCdf4_changes?). Ticket closed pending further user feedback.

comment:2 Changed 4 years ago by nicolasmartin

  • Milestone 2010 Stream 1: User Interfaces deleted

Milestone 2010 Stream 1: User Interfaces deleted

comment:3 Changed 4 years ago by nicolasmartin

  • Keywords NetCDF* added; NetCDF4 removed
Note: See TracTickets for help on using tickets.